#!/bin/bash
date=`date +"%Y-%m-%d_%H-%M-%S"`
DIR=/mnt/nfs_clientshare/{{hostname}}
mkdir -p $DIR/backup
mkdir -p $DIR/backup/logs
mkdir -p $DIR/backup/sqls

logfold=$DIR/backup/logs
sqlfold=$DIR/backup/sqls
logfile=backup_$date.log
echo $date >> $logfold/$logfile
sqlfile=dump_$date.sql
docker exec -t diplomamunka-backend_db_1 pg_dumpall -c -U todo_backend > $sqlfold/$sqlfile

#sudo tar -zcvf $sqlfold/$sqlfile.tar.gz -C $sqlfold $sqlfile >> $logfold/$logfile
#sudo rm $sqlfold/$sqlfile >> $logfold/$logfile

find $logfold -type f -mtime +7 -name '*.log' -execdir rm -rf -- '{}' \; >> $logfold/$logfile
find $sqlfold -type f -mtime +7 -name '*.sql' -execdir rm -rf -- '{}' \; >> $logfold/$logfile
